Bug 1577460 - [abrt] PackageKit: repodata_precheck_keyname(): packagekitd killed by SIGSEGV
Summary: [abrt] PackageKit: repodata_precheck_keyname(): packagekitd killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d5c977c4896af7046f594e24d7d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-12 08:03 UTC by Frank Büttner
Modified: 2018-11-30 21:33 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:33:40 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (56.07 KB, text/plain)
2018-05-12 08:04 UTC, Frank Büttner
no flags Details
File: cgroup (184 bytes, text/plain)
2018-05-12 08:04 UTC, Frank Büttner
no flags Details
File: core_backtrace (4.13 KB, text/plain)
2018-05-12 08:04 UTC, Frank Büttner
no flags Details
File: cpuinfo (1.43 KB, text/plain)
2018-05-12 08:04 UTC, Frank Büttner
no flags Details
File: dso_list (8.42 KB, text/plain)
2018-05-12 08:04 UTC, Frank Büttner
no flags Details
File: environ (190 bytes, text/plain)
2018-05-12 08:04 UTC, Frank Büttner
no flags Details
File: exploitable (100 bytes, text/plain)
2018-05-12 08:04 UTC, Frank Büttner
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-12 08:04 UTC, Frank Büttner
no flags Details
File: maps (39.20 KB, text/plain)
2018-05-12 08:04 UTC, Frank Büttner
no flags Details
File: mountinfo (3.65 KB, text/plain)
2018-05-12 08:04 UTC, Frank Büttner
no flags Details
File: namespaces (129 bytes, text/plain)
2018-05-12 08:04 UTC, Frank Büttner
no flags Details
File: open_fds (12.98 KB, text/plain)
2018-05-12 08:04 UTC, Frank Büttner
no flags Details
File: proc_pid_status (1.23 KB, text/plain)
2018-05-12 08:04 UTC, Frank Büttner
no flags Details
File: var_log_messages (1.28 KB, text/plain)
2018-05-12 08:04 UTC, Frank Büttner
no flags Details

Description Frank Büttner 2018-05-12 08:03:53 UTC
Version-Release number of selected component:
PackageKit-1.1.10-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: repodata_precheck_keyname
executable:     /usr/libexec/packagekitd
global_pid:     2192
kernel:         4.16.6-202.fc27.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 repodata_precheck_keyname at ../src/repodata.h:180
 #1 maybe_load_repodata at ../src/repodata.c:537
 #2 find_key_data at ../src/repodata.c:605
 #3 repodata_lookup_idarray at ../src/repodata.c:762
 #4 pool_addfileprovides_search at ../src/fileprovides.c:199
 #6 pool_addfileprovides_queue at ../src/fileprovides.c:341
 #7 dnf_sack_make_provides_ready at /usr/src/debug/libdnf-0.11.1-1.fc27.x86_64/libdnf/dnf-sack.c:1802
 #8 filter_provides_reldep at /usr/src/debug/libdnf-0.11.1-1.fc27.x86_64/libdnf/hy-query.c:684
 #9 hy_query_apply at /usr/src/debug/libdnf-0.11.1-1.fc27.x86_64/libdnf/hy-query.c:1132
 #10 hy_query_run_set at /usr/src/debug/libdnf-0.11.1-1.fc27.x86_64/libdnf/hy-query.c:1569

Potential duplicate: bug 1567612

Comment 1 Frank Büttner 2018-05-12 08:04:01 UTC
Created attachment 1435300 [details]
File: backtrace

Comment 2 Frank Büttner 2018-05-12 08:04:02 UTC
Created attachment 1435301 [details]
File: cgroup

Comment 3 Frank Büttner 2018-05-12 08:04:03 UTC
Created attachment 1435302 [details]
File: core_backtrace

Comment 4 Frank Büttner 2018-05-12 08:04:05 UTC
Created attachment 1435303 [details]
File: cpuinfo

Comment 5 Frank Büttner 2018-05-12 08:04:06 UTC
Created attachment 1435304 [details]
File: dso_list

Comment 6 Frank Büttner 2018-05-12 08:04:07 UTC
Created attachment 1435305 [details]
File: environ

Comment 7 Frank Büttner 2018-05-12 08:04:09 UTC
Created attachment 1435306 [details]
File: exploitable

Comment 8 Frank Büttner 2018-05-12 08:04:10 UTC
Created attachment 1435307 [details]
File: limits

Comment 9 Frank Büttner 2018-05-12 08:04:12 UTC
Created attachment 1435308 [details]
File: maps

Comment 10 Frank Büttner 2018-05-12 08:04:13 UTC
Created attachment 1435309 [details]
File: mountinfo

Comment 11 Frank Büttner 2018-05-12 08:04:15 UTC
Created attachment 1435310 [details]
File: namespaces

Comment 12 Frank Büttner 2018-05-12 08:04:16 UTC
Created attachment 1435311 [details]
File: open_fds

Comment 13 Frank Büttner 2018-05-12 08:04:18 UTC
Created attachment 1435312 [details]
File: proc_pid_status

Comment 14 Frank Büttner 2018-05-12 08:04:19 UTC
Created attachment 1435313 [details]
File: var_log_messages

Comment 15 Ben Cotton 2018-11-27 15:45:10 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2018-11-30 21:33:40 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.